Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# igesread.h File Reference

`#include <stdio.h>`

## Defines
#define | ArgVide 0
#define | ArgQuid 1
#define | ArgChar 2
#define | ArgInt 3
#define | ArgSign 4
#define | ArgReal 5
#define | ArgExp 6
#define | ArgRexp 7
#define | ArgMexp 8
## Functions
int | igesread (char *nomfic, int lesect[6], int modefnes)
int | iges_lirpart (int **tabval, char **res1, char **res2, char **nom, char **num, int *nbparam)
void | iges_stats (int *nbpart, int *nbparam)
void | iges_setglobal ()
void | iges_nextpart ()
int | iges_lirparam (int *typarg, char **parval)
void | iges_finfile (int mode)
dirpart * | iges_get_curp (void)
void | iges_initfile ()
int | iges_lire (FILE *lefic, int *numsec, char ligne[100], int modefnes)
void | iges_newparam (int typarg, int longval, char *parval)
void | iges_param (int *Pstat, char *ligne, char c_separ, char c_fin, int lonlin)
void | iges_Dsect (int *Dstat, int numsec, char *ligne)
void | iges_Psect (int *Pstat, int numsec, char ligne[80])
void | IGESFile_Check2 (int mode, char *code, int num, char *str)
void | IGESFile_Check3 (int mode, char *code)

## Define Documentation

#define ArgChar 2

#define ArgExp 6

#define ArgInt 3

#define ArgMexp 8

#define ArgQuid 1

#define ArgReal 5

#define ArgRexp 7

#define ArgSign 4

#define ArgVide 0

## Function Documentation

void iges_Dsect | ( | int * | Dstat,
|  | int | numsec,
|  | char * | ligne
| ) |

void iges_finfile | ( | int | mode | ) |

struct dirpart* iges_get_curp | ( | void |  | ) |

void iges_initfile | ( |  | ) |

int iges_lire | ( | FILE * | lefic,
|  | int * | numsec,
|  | char | ligne[100],
|  | int | modefnes
| ) |

int iges_lirparam | ( | int * | typarg,
|  | char ** | parval
| ) |

int iges_lirpart | ( | int ** | tabval,
|  | char ** | res1,
|  | char ** | res2,
|  | char ** | nom,
|  | char ** | num,
|  | int * | nbparam
| ) |

void iges_newparam | ( | int | typarg,
|  | int | longval,
|  | char * | parval
| ) |

void iges_nextpart | ( |  | ) |

void iges_param | ( | int * | Pstat,
|  | char * | ligne,
|  | char | c_separ,
|  | char | c_fin,
|  | int | lonlin
| ) |

void iges_Psect | ( | int * | Pstat,
|  | int | numsec,
|  | char | ligne[80]
| ) |

void iges_setglobal | ( |  | ) |

void iges_stats | ( | int * | nbpart,
|  | int * | nbparam
| ) |

void IGESFile_Check2 | ( | int | mode,
|  | char * | code,
|  | int | num,
|  | char * | str
| ) |

void IGESFile_Check3 | ( | int | mode,
|  | char * | code
| ) |

int igesread | ( | char * | nomfic,
|  | int | lesect[6],
|  | int | modefnes
| ) |